## ros-foxy-crane-plus-examples 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(crane_plus_examples)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)

# Build and install node executables
set(executable_list
  gripper_control
  pose_groupstate
  joint_values
  pick_and_place
)
foreach(loop_var IN LISTS executable_list)
  add_executable(${loop_var} src/${loop_var}.cpp)
  ament_target_dependencies(${loop_var}
    geometry_msgs
    moveit_ros_planning_interface
    rclcpp
    tf2_geometry_msgs
  )

  install(TARGETS
    ${loop_var}
    DESTINATION lib/${PROJECT_NAME}
  )
endforeach()


install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-crane-plus-examples (1.1.0-1focal) focal; urgency=high

  * Update author tags (#49 <https://github.com/rt-net/crane_plus/issues/49>)
  * Rename CRANE+V2 to CRANE+ V2 (#44 <https://github.com/rt-net/crane_plus/issues/44>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 15 Aug 2022 15:00:00 -0000

ros-foxy-crane-plus-examples (1.0.0-1focal) focal; urgency=high

  * パッケージバージョン表記の更新 (#40 <https://github.com/rt-net/crane_plus/issues/40>)
  * crane_plus_ignition パッケージを追加し、Gazeboの使用を非推奨にする (#38 <https://github.com/rt-net/crane_plus/issues/38>)
  * xacroファイルの読み込みを一元化するためのPythonスクリプトを追加 (#36 <https://github.com/rt-net/crane_plus/issues/36>)
  * GripperActionControllerに関するコメントを削除 (#37 <https://github.com/rt-net/crane_plus/issues/37>)
  * hardware_interfaceのパラメータをxacro引数から変更する (#35 <https://github.com/rt-net/crane_plus/issues/35>)
  * Update crane_plus_gazebo (#30 <https://github.com/rt-net/crane_plus/issues/30>)
  * Contributors: Atsushi Kuwagata, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Tue, 21 Jun 2022 15:00:00 -0000

ros-foxy-crane-plus-examples (0.1.0-1focal) focal; urgency=high

  * Fix READMEs (#25 <https://github.com/rt-net/crane_plus/issues/25>)
  * Update maintainer and author in package.xml (#23 <https://github.com/rt-net/crane_plus/issues/23>)
  * Update for release (#21 <https://github.com/rt-net/crane_plus/issues/21>)
  * Update crane_plus_examples (#18 <https://github.com/rt-net/crane_plus/issues/18>)
  * Add joint_values example and pick_and_place example (#15 <https://github.com/rt-net/crane_plus/issues/15>)
  * Add pose_groupstate example. (#14 <https://github.com/rt-net/crane_plus/issues/14>)
  * Add crane_plus_examples (#13 <https://github.com/rt-net/crane_plus/issues/13>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Tue, 10 Nov 2020 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-crane-plus-examples
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-crane-plus-control, ros-foxy-crane-plus-description, ros-foxy-crane-plus-moveit-config, ros-foxy-geometry-msgs, ros-foxy-moveit-ros-planning-interface, ros-foxy-rclcpp, ros-foxy-tf2-geometry-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-crane-plus-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-crane-plus-control, ros-foxy-crane-plus-description, ros-foxy-crane-plus-moveit-config, ros-foxy-geometry-msgs, ros-foxy-moveit-ros-planning-interface, ros-foxy-rclcpp, ros-foxy-tf2-geometry-msgs, ros-foxy-ros-workspace
Description: CRANE+ V2 examples package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-crane-plus-examples//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
